%global pypi_name qpageview

Name:           python-%{pypi_name}
Version:        0.6.2
Release:        %mkrel 1
Group:          Development/Python
Summary:        Page based docuement viewer for Qt5/PyQt5
License:        GPLv2+
URL:            https://github.com/wbsoft/python-ly
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

%description
This qpageview module provides a page based document viewer widget for Qt5/PyQt5.
It has a flexible architecture potentionally supporting many formats. Currently, it
supports SVG documents, images, and, using the Poppler-Qt5 binding, PDF documents.

%package -n     python3-%{pypi_name}
Summary:        Page based docuement viewer for Qt5/PyQt5
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
This qpageview module provides a page based document viewer widget for Qt5/PyQt5.
It has a flexible architecture potentionally supporting many formats. Currently, it
supports SVG documents, images, and, using the Poppler-Qt5 binding, PDF documents.

%prep
%setup -qn %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*


%changelog
* Mon Aug 22 2022 TerryN <terryn94 at gmail.com> 0.6.2-1pclos2022
- import for python 3.10

